This topic contains 7 replies, has 4 voices, and was last updated by Profile photo of Tasos Tasos 2 months, 3 weeks ago.

Viewing 8 posts - 1 through 8 (of 8 total)

  • Author

    Posts

  • #6374

    Profile photo of Jean-Marie
    Jean-Marie

    Participant

    Hello,

    The SDK for Android contains two native libraries libsystemimage.so and libmbwrapper.so. Unfortunately, only the 32-Bit version (armeabi-v7a) of these libraries are shipped with the SDK, which is troublesome when integrating them in some 64-Bit environments (testing on a Google Pixel here).

    Could some efforts be done in integrating 64-Bit variants (arm64-v8a)? Is this planned?

    PS: Ideally, all architectures should be provided unless otherwise specified that they’re not supported: arm64-v8a, armeabi, armeabi-v7a, mips, mips64, x86, x86_64.

    • This topic was modified 1 year, 6 months ago by Profile photo of Jean-Marie Jean-Marie. Reason: Fixed wrong native library name

    #6381

    Profile photo of Dominique
    Dominique

    Moderator

    Hello Jean-Marie,

    I’m looking into this now and I will get back to you as soon as I have an answer for you.

    Thank you,
    Dominique Strauss

    #6384

    Profile photo of Jean-Marie
    Jean-Marie

    Participant

    Hello,

    Any progress/news about this issue?

    #6386

    Profile photo of Dominique
    Dominique

    Moderator

    Hello Jean-Marie,

    There is a plan to add 64-bit variants, but we do not yet have a timeline for that.

    The 32-bit libraries should work, but performance may not be optimal.

    Please let us know if you have any further questions.

    Thank you,
    Dominique Strauss

    #6387

    Profile photo of Jean-Marie
    Jean-Marie

    Participant

    Thanks Dominique, that answer my question. Let us know when there is progress made on this.

    #8178

    Profile photo of Jean-Marie
    Jean-Marie

    Participant

    Hello,

    Any progress/news about this issue? Has it been solved?

    #8195

    Profile photo of Cicci
    Cicci

    Participant

    Hi,

    Any updates on this. There is a newsletter about 64-bit requirement

    https://android-developers.googleblog.com/2019/01/get-your-apps-ready-for-64-bit.html

    #9935

    Profile photo of Tasos
    Tasos

    Participant

    Hello,

    Having 64bit bundles is required to upload to play store as of this month.

    I cannot push an update to my application because of this.

    ARM versions are fine but x86_64 are still required and this seems to be the problem.

    Any help appreciated.

Viewing 8 posts - 1 through 8 (of 8 total)

You must be logged in to reply to this topic.